/*
 *  anthycontainer.h
 *  Copyright(C) 2003- Masahito Omote <omote@utyuuzin.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __CANNA_CONTAINER_H__
#define __CANNA_CONTAINER_H__

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

typedef struct _canna_addwordpane {
    GtkWidget *pane;

    GtkWidget *phon;
    GtkWidget *desc;
    GtkWidget *optmenu_cclass_code;
    GtkWidget *cclass_code;



    GtkWidget *add;
    GtkWidget *clear;
} CannaAddWordPane;

typedef struct _canna_viewwordpane {
    GtkWidget *pane;

    GtkWidget *wordlist_canna;
    GtkWidget *button_load;
    GtkWidget *button_delete;

    GtkWidget *searchword;
} CannaViewWordPane;

typedef struct _canna_imortwordpane {
    GtkWidget *pane;

    /* Import */
    GtkWidget *importfilename;
    GtkWidget *button_import_getfilename;
    GtkWidget *button_doimport;
    GtkWidget *opt_dic_import_type;
    
    /* Export */
    GtkWidget *exportfilename;
    GtkWidget *button_export_getfilename;
    GtkWidget *button_doexport;
    GtkWidget *opt_dic_export_type;
} CannaImportWordPane;


typedef struct _cannacontainer {
    GtkWidget *container; /* GtkNotebook */

    CannaViewWordPane *viewwordpane;
    CannaAddWordPane *addwordpane;
    CannaImportWordPane *importwordpane;
} CannaContainer;

CannaAddWordPane *canna_addword_pane_new(void);
CannaViewWordPane *canna_viewword_pane_new(void);
CannaImportWordPane *canna_importword_pane_new(void);
void show_canna_container(CannaContainer *container, gboolean flags);
void create_canna_container(CannaContainer *container);
#endif /* __CANNA_CONTAINER_H__ */
