/*
 *  $Id: uimcontainer.h 4 2004-02-05 08:20:42Z omote $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __UIM_CONTAINER_H__
#define __UIM_CONTAINER_H__

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

typedef struct _uim_config_pane_global {
    GtkWidget *pane;

    GtkWidget *optmenu_default_im;
    GtkWidget *chk_enable_im_switch;
    GtkWidget *optmenu_cand_win_pos;
} UimConfigPaneGlobal;

typedef struct _uim_config_pane_anthy {
    GtkWidget *pane;

//    GtkWidget *;
} UimConfigPaneAnthy;

typedef struct _uim_config_pane_canna {
    GtkWidget *pane;

    GtkWidget *chk_specify_cannaserver;
    GtkWidget *entry_cannaserver;
} UimConfigPaneCanna;

typedef struct _uim_config_pane_prime {
    GtkWidget *pane;

} UimConfigPanePrime;

typedef struct _uim_config_pane_skk {
    GtkWidget *pane;

    GtkWidget *chk_specify_skk_dic_filename;
    GtkWidget *entry_skk_dic_filename;
    GtkWidget *chk_specify_skk_userdic_filename;
    GtkWidget *entry_skk_userdic_filename;
    GtkWidget *chk_specify_skk_uim_userdic_filename;
    GtkWidget *entry_skk_uim_userdic_filename;
    GtkWidget *chk_recursive_leaning;
    GtkWidget *optmenu_skk_style;
} UimConfigPaneSkk;

typedef struct _uim_config_pane_keybind {
    GtkWidget *pane;

} UimConfigPaneKeybind;

typedef struct _uim_config_container {
    GtkWidget *container;

    UimConfigPaneGlobal *uim_config_pane_global;
    UimConfigPaneAnthy  *uim_config_pane_anthy;
    UimConfigPaneCanna  *uim_config_pane_canna;
    UimConfigPanePrime  *uim_config_pane_prime;
    UimConfigPaneSkk    *uim_config_pane_skk;

    GtkWidget *button_save;
} UimConfigContainer;
#endif /* __UIM_CONTAINER_H__ */
